function [ou,gg]=scrambler(in,gn,lg)
%function [ou]=scrambler(in,gn,lg)
%ou=scramblered version of binary sequence
%gn: scrambler generator in octal
%lg: generator length
%examples (period=2^lg-1 
%gn=[3]     lg=3
%gn=[0 3]   lg=4
%gn=[0 5]   lg=5
%gn=[0 3]   lg=6
%gn=[0 1 1] lg=7
%gn=[0 3 5] lg=8
j=lg;
for i=length(gn):-1:1
   a=gn(i);
   for h=1:3
   	if j>0
         gg(j)=rem(a,2);
         a=(a-gg(j))/2;
         j=j-1;
      end
   end
end

if size(in,1) > size(in,2), in=in'; end

for j=1:size(in,1)
   pol=zeros(1,lg);
   pol(lg)=1;
   for i=1:size(in,2)
  		ou(j,i)=xor(pol(lg),in(j,i));
      fd=pol(lg);
      for h=2:lg
         fd=xor(fd,pol(lg-h+1)*gg(lg-h+1));
      end
      pol=[fd, pol(1:lg-1)];
      %if pol(lg)==1 & sum (pol(1:lg-1))==0, i, end
 	end
end